rte_cryptodev_core.h(3)

NAME
rte_cryptodev_core.h

SYNOPSIS

  Typedefs

typedef uint16_t(* dequeue_pkt_burst_t) (void *qp, struct rte_crypto_op **ops, uint16_t nb_ops)
typedef uint16_t(* enqueue_pkt_burst_t) (void *qp, struct rte_crypto_op **ops, uint16_t nb_ops)
typedef uint32_t(* crypto_qp_depth_used_t) (void *qp)

  Variables

struct rte_cryptodev * rte_cryptodevs

Detailed Description

RTE Crypto Device internal header.

This header contains internal data types. But they are still part of the public API because they are used by inline functions in the published API.

Applications should not use these directly.

Definition in file rte_cryptodev_core.h.

Typedef Documentation

  typedef uint16_t(* dequeue_pkt_burst_t) (void *qp, struct rte_crypto_op **ops, uint16_t nb_ops)
Dequeue processed packets from queue pair of a device.

Definition at line 19 of file rte_cryptodev_core.h.

  typedef uint16_t(* enqueue_pkt_burst_t) (void *qp, struct rte_crypto_op **ops, uint16_t nb_ops)
Enqueue packets for processing on queue pair of a device.

Definition at line 23 of file rte_cryptodev_core.h.

  typedef uint32_t(* crypto_qp_depth_used_t) (void *qp)
Get used descriptor depth in a queue pair of a device.

Definition at line 27 of file rte_cryptodev_core.h.

Variable Documentation

  struct rte_cryptodev* rte_cryptodevs [extern]
The pool of rte_cryptodev structures.

Author

Generated automatically by Doxygen for DPDK from the source code.